import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixMorePage extends StatelessWidget {
  const PhoenixMorePage({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix More Sample'),
        ),
        body: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            const Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                PhoenixMore(title: 'Without a callback'),
              ],
            ),
            const SizedBox(height: 32),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                PhoenixMore(
                  title: 'With a callback',
                  onTap: () {
                    debugPrint('Pressing PhoenixMore!');
                  },
                ),
              ],
            ),
          ],
        ));
  }
}
