import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixWarningPage extends StatefulWidget {
  const PhoenixWarningPage({Key? key}) : super(key: key);

  @override
  State<PhoenixWarningPage> createState() => _PhoenixWarningPageState();
}

class _PhoenixWarningPageState extends State<PhoenixWarningPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Warning Sample'),
      ),
      body: PhoenixWarning(
          warningVisibility: true,
          messageWidget: const Text(
            "This is example of warning. Put any text here",
            style: TextStyle(
              color: Colors.black,
              fontSize: 10,
              fontWeight: FontWeight.normal,
            ),
          ),
          errorWidget: const Icon(Icons.error_outline, color: Colors.black),
          borderColor: Colors.red.withOpacity(.8),
          backgroundColor: Colors.red.withOpacity(.6),
          margin: const EdgeInsets.only(top: 8),
          padding: const EdgeInsets.all(8),
          radius: 5,
          spacerHeight: 100),
    );
  }
}
