import 'package:flutter/material.dart';

class PhoenixSearchNoContent extends StatelessWidget {
  const PhoenixSearchNoContent({
    Key? key,
    required this.title,
    required this.icon,
    required this.subtitle,
  }) : super(key: key);

  final Widget title;
  final Widget subtitle;
  final Widget icon;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          icon,
          title,
          subtitle,
        ],
      ),
    );
  }
}
