import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixListGroupPartitionPage extends StatefulWidget {
  const PhoenixListGroupPartitionPage({Key? key}) : super(key: key);

  @override
  State<PhoenixListGroupPartitionPage> createState() =>
      _PhoenixListGroupPartitionPageState();
}

class _PhoenixListGroupPartitionPageState
    extends State<PhoenixListGroupPartitionPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.grey,
      appBar: AppBar(
        title: const Text('Phoenix List Group Partition Sample'),
      ),
      body: Padding(
        padding: const EdgeInsets.all(8.0),
        child: PhoenixListGroupPartition(
          groupList: _sampleGrouping,
        ),
      ),
    );
  }
}

Map<String, List<DataHelper>> _sampleGrouping = {
  'Data 1': [
    DataHelper(
      title: 'Title Data 2.1',
      desc: 'Description Data 2.1',
      isVisible: false,
    ),
    DataHelper(
      title: 'Title Data 2.2',
      desc: 'Description Data 2.2',
      isVisible: true,
    ),
    DataHelper(
      title: 'Title Data 2.3',
      desc: 'Description Data 2.3',
      isVisible: true,
    ),
    DataHelper(
      title: 'Title Data 2.4',
      desc: 'Description Data 2.4',
      isVisible: true,
    ),
  ],
  'Data 2': [
    DataHelper(
      title: 'Title Data 2.1',
      desc: 'Description Data 2.1',
      isVisible: true,
    ),
    DataHelper(
      title: 'Title Data 2.2',
      desc: 'Description Data 2.2',
      isVisible: false,
    ),
    DataHelper(
      title: 'Title Data 2.3',
      desc: 'Description Data 2.3',
      isVisible: true,
    ),
  ]
};
