import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixTabViewPage extends StatelessWidget {
  PhoenixTabViewPage({Key? key}) : super(key: key);

  final _tabs = {
    'tab1': 'Tab1',
    'tab2': 'Tab2',
    'tab3': 'Tab3',
    'tab4': 'Tab4'
  };

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Tab View Sample'),
      ),
      body: PhoenixTabView(
        tabs: _tabs,
        builder: (BuildContext context, String id) {
          return Center(child: Text(_tabs[id]!));
        },
      ),
    );
  }
}
